package com.fidufosyga.rules;

public class FueraRangoLongitudOtroCampoDependiente extends AbstractRule {
	public FueraRangoLongitudOtroCampoDependiente() {
	}

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {
		
		String otroCampo = registro[new Integer((String) getParams()[0]).intValue()];
		if (registro[new Integer((String) getParams()[0]).intValue()]
				.equals(getParams()[1])) {
			if (otroCampo.equals(getParams()[3])) {
				if (field.length() != new Integer((String) getParams()[4])
						.intValue())
					return true;
			}
		}

		
		int minima = new Integer((String) getParams()[0]).intValue();
		int maxima = new Integer((String) getParams()[1]).intValue();
		if (field.length() < minima || field.length() > maxima) {
			return true;
		}
		return false;
	}
}
